<?php

namespace xenarabia\BestAnswer\XF\Widget;

use XF;
use XF\Mvc\ParameterBag;

class BaStat extends \XF\Widget\AbstractWidget
{
	

    public function render()
    {
    	
		$TotalAnswersSolved = $this->getQuery()->where('xena_post_ba', '<>', 0)->total();
		$TotalAnswersNotSolved = $this->getQuery()->where('xena_post_ba', 0)->total();
		$thread = \XF::finder('XF:Forum')->where('node_id', $this->contextParams['forum']['node_id'])->fetchOne();
		$node = \XF::finder('XF:Thread')->where('node_id', $this->contextParams['forum']['node_id'])->fetchOne();
		
    	$viewParams = [
    		'TotalAnswersNotSolved' => $TotalAnswersNotSolved,
			'TotalAnswersSolved' => $TotalAnswersSolved,
			'thread'	=> $thread,
			'totalAnswers'	=> $this->getQuery()->total(),
			'node'	=> $node
		];
        return $this->renderer('widget_total_answers', $viewParams);
    }

    public function verifyOptions(\XF\Http\Request $request, array &$options, &$error = null)
	{
		$options = $request->filter([
			'limit' => 'uint'
		]);

		return true;
	}


	protected function getQuery()
	{
		$node_id = $option->ba_forums;
		$forum_id = $this->contextParams['forum']['node_id'];
		$threads = \XF::finder('XF:Thread')
		->where('node_id', $forum_id)
		// ->where('xena_post_ba', '<>', 0)
		->order('thread_id', 'DESC');
		return $threads;
	}
}
